# eric6.QScintilla.MarkupProviders.__init__

Package providing various markup providers.

### Global Attributes

None

### Classes

None

### Functions

getMarkupProvider | Public method to get a markup provider for the given editor.

## getMarkupProvider

getMarkupProvider(editor)

Public method to get a markup provider for the given editor.

editor (Editor)
  reference to the editor to get the markup provider for

Returns:
  markup provider

Return Type:
  MarkupBase

Up